summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMichał Górny <mgorny@gentoo.org>2020-08-27 18:23:13 +0200
committerMichał Górny <mgorny@gentoo.org>2020-08-27 21:25:20 +0200
commit2d78b626c88f30230a3cb2aa87e3793ac61c3890 (patch)
tree79de25cdefc9611f9381df82148045977cfe7133
parentsys-kernel/gentoo-kernel: Bump to 5.7.19 (diff)
downloadgentoo-2d78b626c88f30230a3cb2aa87e3793ac61c3890.tar.gz
gentoo-2d78b626c88f30230a3cb2aa87e3793ac61c3890.tar.bz2
gentoo-2d78b626c88f30230a3cb2aa87e3793ac61c3890.zip
sys-kernel/vanilla-kernel: Bump to 5.8.5
Signed-off-by: Michał Górny <mgorny@gentoo.org>
-rw-r--r--sys-kernel/vanilla-kernel/Manifest4
-rw-r--r--sys-kernel/vanilla-kernel/vanilla-kernel-5.8.5.ebuild83
2 files changed, 87 insertions, 0 deletions
diff --git a/sys-kernel/vanilla-kernel/Manifest b/sys-kernel/vanilla-kernel/Manifest
index 496902e05d4..47cbb13c643 100644
--- a/sys-kernel/vanilla-kernel/Manifest
+++ b/sys-kernel/vanilla-kernel/Manifest
@@ -1,11 +1,14 @@
DIST kernel-aarch64-fedora.config.5.7.8 208443 BLAKE2B ca77401ee1abd8a2f34de28c32a7153434534a10335f29150c33a0b4fa9b52b161223f59a79e50d9e260014ea2f95e5a2066957060cbf3ca8e938b05957315a4 SHA512 7528c9ae989e9d6297c4d06c3555a06f6636f92ef02adbc03a8bb7173891cfaf52222faeeb1409112119221b08041147acde5d4fe3ab73175bd55d4406283f52
DIST kernel-aarch64-fedora.config.5.8.1 215181 BLAKE2B d29bdc80f90f8ff22f43439ec03c8f391ddeae8d299dd36cb4d4d51c7d37851900faef728a94eca069c08fbb22a8ef5c2bdfb2b850e4f669276d967cb47dc331 SHA512 99f9a4fa65082d09b38bd05021a9f7577b98eb8b101928ff7862139461f603484722ed19aefe34540da6aa15908abee99a5287c1594e45f0c12afa4663820fa0
+DIST kernel-aarch64-fedora.config.5.8.4 215181 BLAKE2B d29bdc80f90f8ff22f43439ec03c8f391ddeae8d299dd36cb4d4d51c7d37851900faef728a94eca069c08fbb22a8ef5c2bdfb2b850e4f669276d967cb47dc331 SHA512 99f9a4fa65082d09b38bd05021a9f7577b98eb8b101928ff7862139461f603484722ed19aefe34540da6aa15908abee99a5287c1594e45f0c12afa4663820fa0
DIST kernel-aarch64.config.5.4.21 199104 BLAKE2B 578ad451a76204df2a9bbbe34b5cb27051d2ac5e2c33967f562b01338c43f35da6dc33a4c2cc67ea6c3b32b155729360d3748ec28dcaa750f18449245b2e8a09 SHA512 66e9a437beb350fdc59512c17b8f72c5b5bfacf2b35070d810d77e66f49cf7929026cc28ad44b04a016d61e65d9fb4a10af6996ba09b604bf97e9c467d08f8ff
DIST kernel-i686-fedora.config.5.7.8 191864 BLAKE2B 217857254ffd12e987a5bd573e2520508bc70764b6363fc2c6bda1e5be46b70528616b26167150cba32f9e57fe17883c455fed34615a216b2398017d307971db SHA512 b90c6f2cdb55bcb115d7b92752a6efd8fdc09f68acbf365b08c9ff89732745f26d2644e18cb097ffd92d75cff07dbd98a9723179a35dc72ce01a732bdd632592
DIST kernel-i686-fedora.config.5.8.1 199143 BLAKE2B ea223234bc54d430b87f3eb15fe11b11e617103c861945fb530091285abd0702e2cbb1d9258ca1afe718c4e7578c41f8878422c53e2f0b476e5ff2fa5c17aece SHA512 fc9c1b642e59c3c80b4cb6e1e6e9e2a27692524324539a3f1c163e284f8a69efb45ec839a630b0faeb0e52c15fb6577449163c7396aa0f1c43d727fe8aa35623
+DIST kernel-i686-fedora.config.5.8.4 199143 BLAKE2B ea223234bc54d430b87f3eb15fe11b11e617103c861945fb530091285abd0702e2cbb1d9258ca1afe718c4e7578c41f8878422c53e2f0b476e5ff2fa5c17aece SHA512 fc9c1b642e59c3c80b4cb6e1e6e9e2a27692524324539a3f1c163e284f8a69efb45ec839a630b0faeb0e52c15fb6577449163c7396aa0f1c43d727fe8aa35623
DIST kernel-i686.config.5.4.21 183910 BLAKE2B 185126ffb85718bb73761d01683def80b6f002d7a7a6eddd8e858a30d8eadc863fb378d83a1cd2ed82b3540337fa66ae44475e31fb41ebc46d77005b6f54e5c0 SHA512 6307afc2295902e44fe65b1cccaa7a0260b295a5f21f1d67ec66197bd972bd3f5675b624f08d9da8b224cb3ec987d5c21cbd743599aeab9ac6214bc651f43476
DIST kernel-x86_64-fedora.config.5.7.8 192882 BLAKE2B 23044bd3625d1ced686950c1322e91dd99eddb3128ab830c8862f5c949b66df67bc9ce38b810f4d54a35f9b9f11feb58d01450593ec513e132d789e3a50ac48b SHA512 b7770da1f608e8f0ec227dbeaf66491815e9fc4f8f08f01d2ad5877dd1946e73b315e8834f35cb5fc035fc3ac52ede8365107515d54b0792f326ad937d901625
DIST kernel-x86_64-fedora.config.5.8.1 200074 BLAKE2B 05673cc7c5ae861faff6e823b8fadb9ce2f00864cc955d78733945abe6fa5842b5b74d0e41129cea92607bd907598b39127740dabd377cb25a2fbbcd54eae8b6 SHA512 c601c380163c66c9e351508dbc7ad3f10214eb04895257f721c808e8fa685770b9c898f48b3b05a5f76832fbf8c91e63278539dd9ef3e2c571997c844ecc7c8b
+DIST kernel-x86_64-fedora.config.5.8.4 200074 BLAKE2B 05673cc7c5ae861faff6e823b8fadb9ce2f00864cc955d78733945abe6fa5842b5b74d0e41129cea92607bd907598b39127740dabd377cb25a2fbbcd54eae8b6 SHA512 c601c380163c66c9e351508dbc7ad3f10214eb04895257f721c808e8fa685770b9c898f48b3b05a5f76832fbf8c91e63278539dd9ef3e2c571997c844ecc7c8b
DIST kernel-x86_64.config.5.4.21 184907 BLAKE2B 0eb2b07c14cea7545350fcdf3a94f2a531f0137c502ebda9299cacf44da5385686e2049b480b28bc153c9d413d453cfe682b9655eefe70428cb720f57c7bd200 SHA512 f3b3ee6841555ac3a9cc11536a7d44e1a5a8df2bab14ba341fda7df1ceb0de45cf1c799a1d54a64f2858fd1272d348bb52cf269ffa396878c5402baf2730237f
DIST linux-5.4.60.tar.xz 109583396 BLAKE2B 1f6296eb9be00329b1eb015eafb4a965c575ded58b8618cfc0af3d15072c424afbbc029fad4d65e0af3bccc5963c4304c14b4a9d4763cfaec9b4596834a0f9b0 SHA512 fb9ebada932c17d0adbc099a1df31a7d97afe3be694665b1f8171e7159bda84a36a435ceecfdce6d492d8e5075ed4253c68029dcdf952e75a3fe7ee36646327b
DIST linux-5.4.61.tar.xz 109579356 BLAKE2B 78e8ee2fcd0e8cce8f536ba907a24676b5aafa662d97eb5c02f97150b0be4616dc564542503d4250d3fd8a674598cd2d3fdcaa34c880e0f3df558c4b5da8b24c SHA512 1c2d7226dc8b4b6ca468a7082b42ac14bdf9f2ff4d0824737cb6a2e959b2c5da320877efe8b6dc7fd66200daadfe5ac424d8c8abc52888358e45ee594f60937d
@@ -14,5 +17,6 @@ DIST linux-5.7.18.tar.xz 112759392 BLAKE2B 22fb5388521bd824a8ecbde7484db3319817e
DIST linux-5.7.19.tar.xz 112742648 BLAKE2B 408fdc49f8a341f6d7c0fead1ddc1b0816caf4a7393286127440a6ec1b513cd413067d6e56180310cc9d634b95c9583b7f38ae4711cd115f4ac2f08918e6b916 SHA512 c64aacd11f90dd1fb4f163ba3757ba52543c8a3c3932b9600109ad2b8ac97c8819d430067266e1e347998b5e9df92f7c0f1945a73142442ba5bccd41439a4988
DIST linux-5.8.3.tar.xz 114473912 BLAKE2B 9d2913bbaf4afabd8f654abd0a2a3c62df043a613cbc2518944f5889d1a760ab6401e76d0b67b0cc9fbe05c8a0e280fe9b2ebf125f50ff5962f097956642fd8e SHA512 a23973139bf105e202621f6181be366e1a933aefd1da9a347d3a19c0917ba16dd271b5c8d90a8c527791fb0f7535a1cc1bbecd118598b500c881d16ff7d64157
DIST linux-5.8.4.tar.xz 114478188 BLAKE2B d9cb7a130e69de2fd176e5ce4236cfe5f4f31cf96f963a1f04e94958d0b064a7cf34c5a2d7e37500892fd840214ce1fc6f2ffb3050cbf8678ffe612bbd1cf51d SHA512 b1fb4586932369f2853360aaab702baaa994be5a88c0a746b7272d7c29c864ac2f0302bd82664f58d29f7b464bc98603167211ea886aa15ea1cd6d12d422ba61
+DIST linux-5.8.5.tar.xz 114482912 BLAKE2B 751cded511b08dd541cd6ae2365602068138641d4a6ade4205936dd1ec1de5a01441a2822afde25fd83004896e8ae02a70af37482dc4b09fa9fc52ca8bd05a8c SHA512 30832e10d14f87f62542cc8a58d2d7d54cbfd0e99de772f79364354a09c2aff2c5bd07bcd06e1e7523a404aa39829355b6b198334472d3070dc7a4f810ed0f20
DIST tinycorelinux-10.1-amd64.qcow2 16842752 BLAKE2B e013e76503c335739a9623c0901ca791937a0e6b177854535cadec1e2c2cd2df588283ed3128cf652595f32264fbfe5b3bd3a8c97665fd4da344e308535be366 SHA512 c3aeb20ff8769da9211694b7f701907cc7ae7582cdfad2c2fdc008d97ebcbd9dc08245b4e8f8450e1cb304bd705345a11fe79f901a47979fee91443841d55641
DIST tinycorelinux-10.1-x86.qcow2 14876672 BLAKE2B 3c760eb7438b13261e52ecfaa33a53649ced95f1ab40aae52134b8cdc31a16d7aa0d6a6dd716e268ed148e9d77a10b7c700b141b61d70c82d271ffe88e8e2a3c SHA512 9964538dc42f232a11949f74b61d46422ea5da3bdc253a217119bd0b8a750c40fd2da0b07157067be9ac0226472614f210a1248114df0d331df390979867a895
diff --git a/sys-kernel/vanilla-kernel/vanilla-kernel-5.8.5.ebuild b/sys-kernel/vanilla-kernel/vanilla-kernel-5.8.5.ebuild
new file mode 100644
index 00000000000..44edb4bbe0f
--- /dev/null
+++ b/sys-kernel/vanilla-kernel/vanilla-kernel-5.8.5.ebuild
@@ -0,0 +1,83 @@
+# Copyright 2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit kernel-build
+
+MY_P=linux-${PV}
+# https://koji.fedoraproject.org/koji/packageinfo?packageID=8
+CONFIG_VER=5.8.4
+CONFIG_HASH=d5f320566eb00901161a51fbd50b5ebbc51f47be
+
+DESCRIPTION="Linux kernel built from vanilla upstream sources"
+HOMEPAGE="https://www.kernel.org/"
+SRC_URI+=" https://cdn.kernel.org/pub/linux/kernel/v$(ver_cut 1).x/${MY_P}.tar.xz
+ amd64? (
+ https://src.fedoraproject.org/rpms/kernel/raw/${CONFIG_HASH}/f/kernel-x86_64-fedora.config
+ -> kernel-x86_64-fedora.config.${CONFIG_VER}
+ )
+ arm64? (
+ https://src.fedoraproject.org/rpms/kernel/raw/${CONFIG_HASH}/f/kernel-aarch64-fedora.config
+ -> kernel-aarch64-fedora.config.${CONFIG_VER}
+ )
+ x86? (
+ https://src.fedoraproject.org/rpms/kernel/raw/${CONFIG_HASH}/f/kernel-i686-fedora.config
+ -> kernel-i686-fedora.config.${CONFIG_VER}
+ )"
+S=${WORKDIR}/${MY_P}
+
+LICENSE="GPL-2"
+KEYWORDS="~amd64 ~arm ~arm64 ~x86"
+IUSE="debug"
+REQUIRED_USE="
+ arm? ( savedconfig )"
+
+RDEPEND="
+ !sys-kernel/vanilla-kernel-bin:${SLOT}"
+BDEPEND="
+ debug? ( dev-util/dwarves )"
+
+pkg_pretend() {
+ ewarn "Starting with 5.7.9, Distribution Kernels are switching from Arch"
+ ewarn "Linux configs to Fedora. Please keep a backup kernel just in case."
+
+ kernel-install_pkg_pretend
+}
+
+src_prepare() {
+ default
+
+ # prepare the default config
+ case ${ARCH} in
+ amd64)
+ cp "${DISTDIR}/kernel-x86_64-fedora.config.${CONFIG_VER}" .config || die
+ ;;
+ arm)
+ return
+ ;;
+ arm64)
+ cp "${DISTDIR}/kernel-aarch64-fedora.config.${CONFIG_VER}" .config || die
+ ;;
+ x86)
+ cp "${DISTDIR}/kernel-i686-fedora.config.${CONFIG_VER}" .config || die
+ ;;
+ *)
+ die "Unsupported arch ${ARCH}"
+ ;;
+ esac
+
+ local config_tweaks=(
+ # shove arch under the carpet!
+ -e 's:^CONFIG_DEFAULT_HOSTNAME=:&"gentoo":'
+ # we do support x32
+ -e '/CONFIG_X86_X32/s:.*:CONFIG_X86_X32=y:'
+ # disable signatures
+ -e '/CONFIG_MODULE_SIG/d'
+ -e '/CONFIG_SECURITY_LOCKDOWN/d'
+ )
+ use debug || config_tweaks+=(
+ -e '/CONFIG_DEBUG_INFO/d'
+ )
+ sed -i "${config_tweaks[@]}" .config || die
+}